1. Campaigns
Incomaker Reporting v1
  • Abandoned carts
    • Get abandoned carts list
      GET
    • Get abandoned carts detail
      GET
  • Campaigns
    • Get campaigns count and metrics by language
      GET
    • Get campaigns list
      GET
    • Get campaigns daily results
      GET
    • Get campaigns monthly summanry
      GET
    • Get campaigns results hourly histogram
      GET
    • Get campaigns results daily histogram
      GET
    • Get campaigns results monthly histogram
      GET
    • Get list of senders
      GET
    • Get list of contacts timeline for campaign
      GET
    • Get list of contacts for campaign
      GET
    • Get list of contacts for period
      GET
    • Get A/B tests for campaigns
      GET
    • Get campaign conversions
      GET
    • Get campaign recipient list
      GET
    • Get campaign recipient activity timeline
      GET
    • Get campaign link click stats
      GET
  • Conversions
    • Get conversions list
      GET
    • Get total conversions
      GET
    • Get conversions by timeframe
      GET
    • Get conversions history
      GET
  • Contacts
    • Get contacts
      GET
    • Get contacts details
      GET
    • Get contacts recommendation
      GET
    • Get unsubscribed contacts
      GET
    • Get duplicate contacts
      GET
    • Get contacts with invalid names
      GET
    • Get contact gender statistics
      GET
  • Segments
    • Get segments list
  • Deliveries
    • Get deliveries list
    • Get delivery conversions
    • Get delivery-specific conversions
    • Get delivery recipient activity
    • Get recipient activity timeline
    • Get delivery link click stats
    • Get delivery detail
    • Get deliveries count and metrics by language
    • Get deliveries daily results
    • Get delivery daily detail for individual smartflow
  • RFM Analysis
    • Get Recency × Frequency heatmap
    • Get Recency × Monetary heatmap
    • Get Frequency × Monetary heatmap
    • Get full RFM cube or slices
    • Get recency distribution
    • Get frequency distribution
    • Get monetary distribution
    • Get combined RFM distributions
    • Get cell table
    • Get cell detail
    • Get contacts in cell
    • Get contact RFM detail
    • Get RFM Segments
    • Get RFM outliers
    • Get review candidates
  • Dialogs
    • Get dialogs list
    • Get dialogs data
  • Orders
    • Get orders list
    • Get order detail
    • Get order recommendation
  • Products
    • Get products
    • Get individual purchases for a product
    • Get products frequently purchased together
    • Get product categories
    • Get product detail
    • Get products by campaign
    • Get products by revenues
    • Get products recommendation
  • Schemas
    • Paging
    • ConversionAggregate
    • Contact
  1. Campaigns

Get campaigns results monthly histogram

GET
/campaigns/timeframe/month/{metric}
Fetch a monthly histogram of campaigns results for a chosen metric, allowing you to view data on opens, clicks, and the number of emails sent and delivered.
The values returned are relative, ranging from 0 to 1000, with 1000 representing the month with the peak traffic.
Benchmark is an industry average for comparison.

Request

Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/campaigns/timeframe/month/?dateFrom=2023-01-01&dateTo=2023-01-07' \
--header 'Content-Type: application/json' \
--data '{
    "metric": "opened"
}'
Response Response Example
200 - Success
{
    "campaignsTimeResultsHistogram": [
        {
            "month": "Jun",
            "value": 1000,
            "benchmark": 492
        },
        {
            "month": "Jul",
            "value": 36,
            "benchmark": 635
        },
        {
            "month": "Aug",
            "value": 11,
            "benchmark": 693
        },
        {
            "month": "Sep",
            "value": 7,
            "benchmark": 691
        },
        {
            "month": "Feb",
            "value": 7,
            "benchmark": 515
        },
        {
            "month": "Oct",
            "value": 6,
            "benchmark": 782
        },
        {
            "month": "Dec",
            "value": 5,
            "benchmark": 1000
        },
        {
            "month": "Nov",
            "value": 5,
            "benchmark": 931
        },
        {
            "month": "Jan",
            "value": 4,
            "benchmark": 513
        },
        {
            "month": "Mar",
            "value": 2,
            "benchmark": 469
        }
    ]
}
Modified at 2026-06-08 15:36:31
Previous
Get campaigns results daily histogram
Next
Get list of senders
Built with